com.collabnet.ce.soap60.webservices.scm

## Class ReplicaDataSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.scm.ReplicaDataSoapDO

-     public class ReplicaDataSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  This class represents the data associated with an replica server data.
  Since:
    8.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BAD`
    `static String` | `CAUTION`
    `static String` | `GOOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicaDataSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getApproved()` Returns 'approved'.
    `int` | `getCommandConcurrencyLong()` Returns 'commandConcurrencyLong'.
    `int` | `getCommandConcurrencyShort()` Returns 'commandConcurrencyShort'.
    `int` | `getCommandPollPeriod()` Returns 'commandPollPeriod'.
    `int` | `getConsolePort()` Returns 'consolePort'.
    `String` | `getContextPath()` Returns 'contextPath'.
    `Date` | `getDateLastContact()` Returns 'dateLastContact'.
    `String` | `getDescription()` Returns 'description'.
    `String` | `getHealth()` Returns 'health'.
    `String` | `getHostname()` Returns 'hostname'.
    `String` | `getId()` Returns 'id'.
    `String` | `getManagedByFullName()` Returns 'managedByFullName'.
    `String` | `getManagedByUsername()` Returns 'managedByUsername'.
    `String` | `getMasterSystemAdapterName()` Returns 'masterSystemAdapterName'.
    `String` | `getMasterSystemId()` Returns 'masterSystemId'.
    `String` | `getMasterSystemTitle()` Returns 'masterSystemTitle'.
    `boolean` | `getPending()` Returns 'pending'.
    `int` | `getPort()` Returns 'port'.
    `boolean` | `getSsl()` Returns 'ssl'.
    `String` | `getViewerPath()` Returns 'viewerPath'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setApproved(boolean approved)` Sets 'approved'.
    `void` | `setCommandConcurrencyLong(int commandConcurrencyLong)` Sets 'commandConcurrencyLong'.
    `void` | `setCommandConcurrencyShort(int commandConcurrencyShort)` Sets 'commandConcurrencyShort'.
    `void` | `setCommandPollPeriod(int commandPollPeriod)` Sets 'commandPollPeriod'.
    `void` | `setConsolePort(int consolePort)` Sets 'consolePort'.
    `void` | `setContextPath(String contextPath)` Sets 'contextPath'.
    `void` | `setDateLastContact(Date dateLastContact)` Sets 'dateLastContact'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setHealth(String health)` Sets 'health'.
    `void` | `setHostname(String hostname)` Sets 'hostname'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setManagedByFullName(String managedByFullName)` Sets 'managedByFullName'.
    `void` | `setManagedByUsername(String managedByUsername)` Sets 'managedByUsername'.
    `void` | `setMasterSystemAdapterName(String masterSystemAdapterName)` Sets 'masterSystemAdapterName'.
    `void` | `setMasterSystemId(String masterSystemId)` Sets 'masterSystemId'.
    `void` | `setMasterSystemTitle(String masterSystemTitle)` Sets 'masterSystemTitle'.
    `void` | `setPending(boolean pending)` Sets 'pending'.
    `void` | `setPort(int port)` Sets 'port'.
    `void` | `setSsl(boolean ssl)` Sets 'ssl'.
    `void` | `setViewerPath(String viewerPath)` Sets 'viewerPath'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GOOD

          public static final String GOOD

      See Also:
        Constant Field Values

    - #### CAUTION

          public static final String CAUTION

      See Also:
        Constant Field Values

    - #### BAD

          public static final String BAD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReplicaDataSoapDO

          public ReplicaDataSoapDO()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'.
      Overrides:
        `getId` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'.
      Overrides:
        `setId` in class `com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO`
      Parameters:
        `id` - Value of 'id'.

    - #### getDescription

          public String getDescription()

      Returns 'description'.
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'.
      Parameters:
        `description` - Value of 'description'.

    - #### getHostname

          public String getHostname()

      Returns 'hostname'.
      Returns:
        Value of 'hostname'.

    - #### setHostname

          public void setHostname(String hostname)

      Sets 'hostname'.
      Parameters:
        `hostname` - Value of 'hostname'.

    - #### getMasterSystemId

          public String getMasterSystemId()

      Returns 'masterSystemId'.
      Returns:
        Value of 'masterSystemId'.

    - #### setMasterSystemId

          public void setMasterSystemId(String masterSystemId)

      Sets 'masterSystemId'.
      Parameters:
        `masterSystemId` - Value of 'masterSystemId'.

    - #### getMasterSystemTitle

          public String getMasterSystemTitle()

      Returns 'masterSystemTitle'.
      Returns:
        Value of 'masterSystemTitle'.

    - #### setMasterSystemTitle

          public void setMasterSystemTitle(String masterSystemTitle)

      Sets 'masterSystemTitle'.
      Parameters:
        `masterSystemTitle` - Value of 'masterSystemTitle'.

    - #### getMasterSystemAdapterName

          public String getMasterSystemAdapterName()

      Returns 'masterSystemAdapterName'.
      Returns:
        Value of 'masterSystemAdapterName'.

    - #### setMasterSystemAdapterName

          public void setMasterSystemAdapterName(String masterSystemAdapterName)

      Sets 'masterSystemAdapterName'.
      Parameters:
        `masterSystemAdapterName` - Value of 'masterSystemAdapterName'.

    - #### getManagedByUsername

          public String getManagedByUsername()

      Returns 'managedByUsername'.
      Returns:
        Value of 'managedByUsername'.

    - #### setManagedByUsername

          public void setManagedByUsername(String managedByUsername)

      Sets 'managedByUsername'.
      Parameters:
        `managedByUsername` - Value of 'managedByUsername'.

    - #### getManagedByFullName

          public String getManagedByFullName()

      Returns 'managedByFullName'.
      Returns:
        Value of 'managedByFullName'.

    - #### setManagedByFullName

          public void setManagedByFullName(String managedByFullName)

      Sets 'managedByFullName'.
      Parameters:
        `managedByFullName` - Value of 'managedByFullName'.

    - #### getApproved

          public boolean getApproved()

      Returns 'approved'.
      Returns:
        Value of 'approved'.

    - #### setApproved

          public void setApproved(boolean approved)

      Sets 'approved'.
      Parameters:
        `approved` - Value of 'approved'.

    - #### getPending

          public boolean getPending()

      Returns 'pending'.
      Returns:
        Value of 'pending'.

    - #### setPending

          public void setPending(boolean pending)

      Sets 'pending'.
      Parameters:
        `pending` - Value of 'pending'.

    - #### getSsl

          public boolean getSsl()

      Returns 'ssl'.
      Returns:
        Value of 'ssl'.

    - #### setSsl

          public void setSsl(boolean ssl)

      Sets 'ssl'.
      Parameters:
        `ssl` - Value of 'ssl'.

    - #### getContextPath

          public String getContextPath()

      Returns 'contextPath'.
      Returns:
        Value of 'contextPath'.

    - #### setContextPath

          public void setContextPath(String contextPath)

      Sets 'contextPath'.
      Parameters:
        `contextPath` - Value of 'contextPath'.

    - #### getViewerPath

          public String getViewerPath()

      Returns 'viewerPath'.
      Returns:
        Value of 'viewerPath'.

    - #### setViewerPath

          public void setViewerPath(String viewerPath)

      Sets 'viewerPath'.
      Parameters:
        `viewerPath` - Value of 'viewerPath'.

    - #### getConsolePort

          public int getConsolePort()

      Returns 'consolePort'.
      Returns:
        Value of 'consolePort'.

    - #### setConsolePort

          public void setConsolePort(int consolePort)

      Sets 'consolePort'.
      Parameters:
        `consolePort` - Value of 'consolePort'.

    - #### getPort

          public int getPort()

      Returns 'port'.
      Returns:
        Value of 'port'.

    - #### setPort

          public void setPort(int port)

      Sets 'port'.
      Parameters:
        `port` - Value of 'port'.

    - #### getCommandPollPeriod

          public int getCommandPollPeriod()

      Returns 'commandPollPeriod'.
      Returns:
        Value of 'commandPollPeriod'.

    - #### setCommandPollPeriod

          public void setCommandPollPeriod(int commandPollPeriod)

      Sets 'commandPollPeriod'.
      Parameters:
        `commandPollPeriod` - Value of 'commandPollPeriod'.

    - #### getCommandConcurrencyLong

          public int getCommandConcurrencyLong()

      Returns 'commandConcurrencyLong'.
      Returns:
        Value of 'commandConcurrencyLong'.

    - #### setCommandConcurrencyLong

          public void setCommandConcurrencyLong(int commandConcurrencyLong)

      Sets 'commandConcurrencyLong'.
      Parameters:
        `commandConcurrencyLong` - Value of 'commandConcurrencyLong'.

    - #### getCommandConcurrencyShort

          public int getCommandConcurrencyShort()

      Returns 'commandConcurrencyShort'.
      Returns:
        Value of 'commandConcurrencyShort'.

    - #### setCommandConcurrencyShort

          public void setCommandConcurrencyShort(int commandConcurrencyShort)

      Sets 'commandConcurrencyShort'.
      Parameters:
        `commandConcurrencyShort` - Value of 'commandConcurrencyShort'.

    - #### getDateLastContact

          public Date getDateLastContact()

      Returns 'dateLastContact'.
      Returns:
        Value of 'dateLastContact'.

    - #### setDateLastContact

          public void setDateLastContact(Date dateLastContact)

      Sets 'dateLastContact'.
      Parameters:
        `dateLastContact` - Value of 'dateLastContact'.

    - #### getHealth

          public String getHealth()

      Returns 'health'.
      Returns:
        Value of 'health'.

    - #### setHealth

          public void setHealth(String health)

      Sets 'health'.
      Parameters:
        `health` - Value of 'health'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.